Passer au contenu

List business roles

Requête

Returns a paginated list of business roles for the specified organization.

Sécurité
Bearer or PersonalAccessToken
Chemin
organizationIdstring, (uuid)obligatoire

Unique identifier of the organization

Requête
Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

SortingKeystring(BusinessRolesSortingKey)

Optional sorting key.

Value:"Name"
Ascendingboolean

Whether to sort in ascending order.

GET
/api/v1/organizations/{organizationId}/settings/user/business-roles
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/settings/user/business-roles?Page=0&PageSize=0&SortingKey=Name&Ascending=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

OK

Corpsapplication/json
itemsArray of objects(BusinessRoleSummary)obligatoire

The list of business roles.

paginationobject(PaginationResponse)obligatoire

Pagination metadata.

Réponse
{ "items": [ { … }, { … } ], "pagination": { "page": 1, "pageSize": 10, "totalCount": 2 } }